![]() |
API Documentation
|
POST - used to generate a cryptographic key.This API endpoint generates a cryptographic key, which in turn is required to encrypt data into a Secure Object.
This API endpoint supports the following Covata user roles (as described in the Covata Platform Administrator's Guide), conditions and permissions (where applicable):
The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the header of requests to this endpoint.
Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6 Bearer token is the appropriate access token.Content-Type: application/jsonThe following optional parameter can be sent in the body of the POST request, as an individual member of a JSON object:
keyLength - The bit length of the cryptographic key to be returned from the Covata Platform. This key is used to encrypt data using an Advanced Encryption Standard (AES) cryptographic algorithm whose mode of operation is CipherBlock Chaining (CBC). Valid values for this parameter are: 128, 192 or 256. If this parameter is not specified, a value of 256 is assumed.
Example:
If none of the Optional parameters above are specified, then an empty JSON object must be passed in the body of the request:
{}A JSON-formatted response containing a keys array which has the following elements:
keyLength value submitted as part of the request's optional parameters above. AES. 256 or match the value of the keyLength submitted as part of the request's optional parameters above. modifiedAt - This value should match the createdAt value above.
Example: